Index: trunk/info/info/alkisn/alkisgebaeudenw.php
===================================================================
--- trunk/info/info/alkisn/alkisgebaeudenw.php	(revision 412)
+++ trunk/info/info/alkisn/alkisgebaeudenw.php	(revision 413)
@@ -46,5 +46,5 @@
 
 // Flurstueck
-$sqlf="SELECT f.name, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, f.zeitpunktderentstehung, g.gemarkungsnummer, g.bezeichnung 
+$sqlf="SELECT f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, g.gemarkungsnummer, g.bezeichnung 
 FROM ax_flurstueck f LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer 
 WHERE f.gml_id= $1 AND f.endet IS NULL AND g.endet IS NULL;";
Index: trunk/mapbender/http/nav/alkisnav_eig.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_eig.php	(revision 412)
+++ trunk/mapbender/http/nav/alkisnav_eig.php	(revision 413)
@@ -9,4 +9,5 @@
 	2018-02-15 Strikte Input-Validation der Parameter
 	2018-04-24 Geburtsdatum formatieren
+	2018-11-12 Full-Schema
 */
 
@@ -393,5 +394,5 @@
 	// Baustein 1: SQL-Anfang fuer beide Varianten
 	$sql1 ="SELECT gb.gml_id AS gml_g, gb.buchungsblattnummermitbuchstabenerweiterung as blatt, b.bezirk, b.bezeichnung AS beznam, "
-	."s1.gml_id as bsgml, s1.laufendenummer AS lfd, f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.gemeinde, ot.gemashl, trim(trailing from ot.gemarkung) AS gemarkungsname, ";
+	."s1.gml_id as bsgml, s1.laufendenummer AS lfd, f.gml_id, f.flurnummer, f.zaehler, f.nenner, ot.gemashl, trim(trailing from ot.gemarkung) AS gemarkungsname, "; // f.gemeindezugehoerigkeit_gemeinde,
 	if($epsg == "25832") { // Transform nicht notwendig
 		$sql1.="st_x(st_centroid(f.wkb_geometry)) AS x, st_y(st_centroid(f.wkb_geometry)) AS y ";
Index: trunk/mapbender/http/nav/alkisnav_adr.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_adr.php	(revision 412)
+++ trunk/mapbender/http/nav/alkisnav_adr.php	(revision 413)
@@ -7,4 +7,5 @@
 	2016-11-28 Gemeinsam genutzte Datenbanken ermÃ¶glichen
 	2018-02-15 Strikte Input-Validation der Parameter
+	2018-11-12 Full-Schema
 ToDo:
 	-	Gruppierung (mit Zeile) der StraÃenliste nach Gemeinde
Index: trunk/mapbender/http/nav/alkisnav_grd.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_grd.php	(revision 412)
+++ trunk/mapbender/http/nav/alkisnav_grd.php	(revision 413)
@@ -8,4 +8,5 @@
 	2018-02-15 Strikte Input-Validation der Parameter
 	2018-11-02 Einheitliches DB-Format der GB-Blatt-Nummer vorausgesetzt. Suche GB-Blatt in Function "gml_blatt" und "gml_buchungsstelle" mit Wildcard wenn Zusatzbuchstabe nicht angegeben.
+	2018-11-12 Full-Schema
 */
 
@@ -144,5 +145,5 @@
 	// Body
 	// Die Subquery stellt sicher, dass nur Bezirke aufgelistet werden, die auch BlÃ€tter enthalten
-	$sql ="SELECT g.bezirk, g.bezeichnung FROM ax_buchungsblattbezirk g JOIN ax_dienststelle a ON g.stelle=a.stelle "
+	$sql ="SELECT g.bezirk, g.bezeichnung FROM ax_buchungsblattbezirk g JOIN ax_dienststelle a ON g.gehoertzu_stelle = a.stelle "
 	."WHERE a.stelle = $1 AND a.stellenart = 1000 AND a.endet IS NULL AND g.endet IS NULL "
 	."AND NOT (SELECT gml_id FROM ax_buchungsblatt b WHERE b.land=g.land AND b.bezirk=g.bezirk AND b.endet IS NULL LIMIT 1) IS NULL "
@@ -180,5 +181,5 @@
 	#global $debug;
 	$sql ="SELECT a.stelle, a.bezeichnung AS ag, g.bezeichnung FROM ax_buchungsblattbezirk g "
-	."JOIN ax_dienststelle a ON g.stelle=a.stelle WHERE g.bezirk= $1 AND g.endet IS NULL AND a.endet IS NULL LIMIT 1;";
+	."JOIN ax_dienststelle a ON g.gehoertzu_stelle = a.stelle WHERE g.bezirk= $1 AND g.endet IS NULL AND a.endet IS NULL LIMIT 1;";
 	$v=array($gbbez);
 	$res=pg_prepare("", $sql);
@@ -211,5 +212,5 @@
 
 	$sql ="SELECT a.stelle, a.bezeichnung AS ag, g.bezirk, g.bezeichnung FROM ax_buchungsblattbezirk g "
-	."JOIN ax_dienststelle a ON g.stelle=a.stelle "
+	."JOIN ax_dienststelle a ON g.gehoertzu_stelle = a.stelle "
 	."WHERE g.bezeichnung ILIKE $1 AND g.endet IS NULL AND a.endet IS NULL "
 	."ORDER BY a.bezeichnung, g.bezeichnung LIMIT $2 ;"; // "AND a.stellenart=1000 " Amtsgericht
@@ -378,7 +379,7 @@
 		$gef_blatt=$row["blatt"];	// gefunden ggf. mit Buchstabe (Wildcard)
 		if ($zblatt != $gef_blatt) {
-			echo "\n<p>Blatt mit Buchstabenerweiterung gefunden.</p>";
+			echo "\n<p class='dbg'>Blatt mit Buchstabenerweiterung gefunden.</p>";
 			$zblatt=$gef_blatt;
-			$zblattz=substr($zblatt,$len-1,1);
+			$zblattz=substr($zblatt, strlen($zblatt)-1, 1);
 		}
 		$zbs++;
@@ -477,5 +478,5 @@
 
 	$sql =$sqlanf.", sd.gml_id AS diengml, sd.laufendenummer AS dienlfd, bd.gml_id AS dienbltgml, bd.buchungsblattnummermitbuchstabenerweiterung AS dienblatt, "
-	."gd.stelle, gd.gml_id AS dienbezgml, gd.bezirk, gd.bezeichnung AS diengbbez "
+	."gd.gehoertzu_stelle AS stelle, gd.gml_id AS dienbezgml, gd.bezirk, gd.bezeichnung AS diengbbez "
 	."FROM ax_buchungsstelle sh JOIN ax_buchungsstelle sd ON sd.gml_id=ANY(sh.an) "
 	."JOIN ax_flurstueck f ON f.istgebucht=sd.gml_id "
Index: trunk/mapbender/http/nav/alkisnav_fkt.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_fkt.php	(revision 412)
+++ trunk/mapbender/http/nav/alkisnav_fkt.php	(revision 413)
@@ -9,4 +9,5 @@
 	2018-05-02 Link "Buchung" zum neuen GrundstÃŒcks-Nachweis
 	2018-11-02 Suche GB-Blatt mit Wildcard wenn Zusatzbuchstabe nicht angegeben.
+	2018-11-09 Full-Schema
 */
 
@@ -318,5 +319,5 @@
 	// SQL-Bausteine
 	// vorne gleich
-	$sql1 ="SELECT s1.laufendenummer AS lfd, s1.gml_id AS bsgml, f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.gemeinde, ";
+	$sql1 ="SELECT s1.laufendenummer AS lfd, s1.gml_id AS bsgml, f.gml_id, f.flurnummer, f.zaehler, f.nenner, "; // f.gemeindezugehoerigkeit_gemeinde, ?
 	if($epsg == "25832") { // Transform nicht notwendig
 		$sql1.="st_x(st_centroid(f.wkb_geometry)) AS x, st_y(st_centroid(f.wkb_geometry)) AS y, ";
@@ -340,7 +341,7 @@
 	switch ($gfilter) {
 		case 1: // Einzelwert
-			$sql2.="AND f.gemeinde='".$gemeinde."' "; break;
+			$sql2.="AND f.gemeindezugehoerigkeit_gemeinde='".$gemeinde."' "; break;
 		case 2: // Liste
-			$sql2.="AND f.gemeinde in ('".str_replace(",", "','", $gemeinde)."') "; break;
+			$sql2.="AND f.gemeindezugehoerigkeit_gemeinde in ('".str_replace(",", "','", $gemeinde)."') "; break;
 	}
 
Index: trunk/mapbender/http/nav/alkisnav_fls.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_fls.php	(revision 412)
+++ trunk/mapbender/http/nav/alkisnav_fls.php	(revision 413)
@@ -8,4 +8,5 @@
 	2017-03-06 Korrektur: Gemeinde-Suche bei Kreis-DB in norGIS-Struktur
 	2018-02-15 Strikte Input-Validation der Parameter
+	2018-11-12 Full-Schema
 */
 
@@ -514,5 +515,5 @@
 
 	// Body
-	$sql ="SELECT f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.gemeinde, ";
+	$sql ="SELECT f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.gemeindezugehoerigkeit_gemeinde, ";
 	if($epsg == "25832") { // Transform nicht notwendig
 		$sql.="st_x(st_Centroid(f.wkb_geometry)) AS x, ";
@@ -523,6 +524,5 @@
 	}
 
-	$sql.="FROM ax_flurstueck f WHERE f.gemarkungsnummer= $1 AND f.flurnummer= $2 AND endet IS NULL 
-	ORDER BY f.zaehler, f.nenner LIMIT $3 ;";
+	$sql.="FROM ax_flurstueck f WHERE f.gemarkungsnummer= $1 AND f.flurnummer= $2 AND endet IS NULL ORDER BY f.zaehler, f.nenner LIMIT $3 ;";
 	$v=array($zgemkg4, $zflur, $linelimit);
 	$res=pg_prepare("", $sql);
@@ -566,7 +566,7 @@
 	$whcl="WHERE flurstueckskennzeichen like $1 AND endet IS NULL ";
 
-	$sql ="SELECT 'h' AS ftyp, gml_id, cast(zaehler AS integer) AS zaehler, cast(nenner AS integer) AS nenner, nachfolgerflurstueckskennzeichen as nachf FROM ax_historischesflurstueck ".$whcl;
-	$sql.="UNION SELECT 'o' AS ftyp, gml_id, cast(zaehler AS integer) AS zaehler, cast(nenner AS integer) AS nenner, nachfolgerflurstueckskennzeichen as nachf FROM ax_historischesflurstueckohneraumbezug ".$whcl;
-	$sql.="ORDER BY zaehler, nenner LIMIT $2 ;"; 
+	$sql ="SELECT 'h' AS ftyp, gml_id, cast(zaehler AS integer) AS zaehler, cast(nenner AS integer) AS nenner, nachfolgerflurstueckskennzeichen as nachf FROM ax_historischesflurstueck ".$whcl
+	."UNION SELECT 'o' AS ftyp, gml_id, cast(zaehler AS integer) AS zaehler, cast(nenner AS integer) AS nenner, nachfolgerflurstueckskennzeichen as nachf FROM ax_historischesflurstueckohneraumbezug ".$whcl
+	."ORDER BY zaehler, nenner LIMIT $2 ;"; 
 	// "zaehler" und "nenner" sind in der Classic-Datenbank Integer-Werte aber in der Struktur 
 	// des norGIS-ALKIS-Importers sind das Character-Strings, die linksbÃŒndig ohne fÃŒhrende Nullen gefÃŒllt sind.
@@ -698,6 +698,6 @@
 
 	// NICHT in aktuell suchen wenn explizit historisch gesucht wird
-	$sql ="SELECT 'h'".$fldlist."nachfolgerflurstueckskennzeichen as nachf FROM ax_historischesflurstueck ".$whcl;
-	$sql.="UNION SELECT 'o'".$fldlist."nachfolgerflurstueckskennzeichen as nachf FROM ax_historischesflurstueckohneraumbezug ".$whcl;
+	$sql ="SELECT 'h'".$fldlist."nachfolgerflurstueckskennzeichen as nachf FROM ax_historischesflurstueck ".$whcl
+	."UNION SELECT 'o'".$fldlist."nachfolgerflurstueckskennzeichen as nachf FROM ax_historischesflurstueckohneraumbezug ".$whcl;
 
 	$v=array($fskzwhere);
@@ -736,7 +736,7 @@
 
 			// Pass auf! Spalte zaehler hat unterschiedliches Format in den 3 Tabellen
-			$nasql ="SELECT 'a' AS ftyp, gml_id, gemarkungsnummer, flurnummer, cast(zaehler AS character varying), nenner FROM ax_flurstueck ".$nawhcl;
-			$nasql.="UNION SELECT 'h' AS ftyp, gml_id, gemarkungsnummer, flurnummer, zaehler, nenner FROM ax_historischesflurstueck ".$nawhcl;
-			$nasql.="UNION SELECT 'o' AS ftyp, gml_id, gemarkungsnummer, flurnummer, zaehler, nenner FROM ax_historischesflurstueckohneraumbezug ".$nawhcl;
+			$nasql ="SELECT 'a' AS ftyp, gml_id, gemarkungsnummer, flurnummer, cast(zaehler AS character varying), nenner FROM ax_flurstueck ".$nawhcl
+			."UNION SELECT 'h' AS ftyp, gml_id, gemarkungsnummer, flurnummer, zaehler, nenner FROM ax_historischesflurstueck ".$nawhcl
+			."UNION SELECT 'o' AS ftyp, gml_id, gemarkungsnummer, flurnummer, zaehler, nenner FROM ax_historischesflurstueckohneraumbezug ".$nawhcl;
 
 			$v=array();