Index: trunk/umn/alkis_n/alkis_buchg.map
===================================================================
--- trunk/umn/alkis_n/alkis_buchg.map	(revision 397)
+++ trunk/umn/alkis_n/alkis_buchg.map	(revision 424)
@@ -2,9 +2,12 @@
 # ALKIS: FlurstÃŒcke mit mehreren (2 bis 4) Buchungs-Stellen mit Rechte-Kaskade.  
 # Diese SonderfÃ€lle fÃŒr die Entwicklung der Buchauskunft suchen und anzeigen.
-# Die benÃ¶tigten Views werden definiert in /postcreate.d/views_buchungsketten.sql
+# Die benÃ¶tigten Views werden definiert in /postcreate.d/7_views_buchungsketten.sql
 # Mit Maptrimmer eine ausfÃŒhrbare (schlanke) Version diese Mapfiles fÃŒr jedes GKZ (Mandant) erzeugen.
+# Erweiterte Kommentare siehe Version auf Testserver.
 # Stand
-#  2017-12-08 Entwurf
+#  2017-12-08 Entwurf auf OWS-Server ÃŒbertragen
 #  2017-12-08 Neu: 4/2303
+#  2019-03-05 EPSG:54004 entfernt
+#  2019-03-08 GKZ in Keyword
 	NAME "alkis_buchg_*gkz*"
 	EXTENT ...
@@ -24,14 +27,14 @@
 			wms_title "ALKIS Buchungen"
 			wms_abstract "FlurstÃŒcke mit Buchungen an denen mehrere Buchungsstellen und GrundbÃŒcher kaskadierend berechtigt sind. Es werden 2 bis 4 Stufen der 'Rechte an' dargestellt."
-			wms_srs "EPSG:25832 EPSG:31467 EPSG:4326 EPSG:54004 EPSG:3034 EPSG:3857"
+			wms_srs "EPSG:25832 EPSG:31467 EPSG:4326 EPSG:3034 EPSG:3857"
 			wms_bbox_extended "true"
 			wms_encoding "UTF-8"
-			wms_onlineresource "http://10.0.100.79/cgi-bin/mapserv7?map=/opt/gdi/alkisn/alkis_buchg_*gkz*.map"
+			wms_onlineresource "http://ows.krz.de/cgi-bin/mapserv7?map=/opt/gdi/alkisn/alkis_buchg_*gkz*.map"
 			wms_feature_info_mime_type "text/html"
-			wms_keywordlist "ALKIS,FlurstÃŒck,Buchungsstellen,Buchungsarten"
+			wms_keywordlist "GKZ*gkz*,ALKIS,FlurstÃŒck,Buchungsstellen,Buchungsarten"
 			wms_fees "none"
 			wms_accessconstraints "fÃŒr den Dienstgebrauch"
 			wms_enable_request "*"
-			include "../wms/meta600fj.map"
+			include "meta600.map"
 		END
 	END
@@ -53,9 +56,9 @@
 		TYPE POLYGON
 		CONNECTIONTYPE POSTGIS
-		CONNECTION "host=10.0.100.73 dbname=alkis0*gkz* user=ms6 port=5432"
+		CONNECTION "host=10.0.xxx.xxx dbname=alkis0*gkz* user=ms6 port=5432"
 		PROCESSING "CLOSE_CONNECTION=DEFER"
 		DATA "wkb_geometry from buchungsrechte_2wms using SRID=25832 using unique gml_id"
 		METADATA
-			wms_srs "EPSG:25832 EPSG:31467 EPSG:4326 EPSG:54004 EPSG:3034 EPSG:3857"
+			wms_srs "EPSG:25832 EPSG:31467 EPSG:4326 EPSG:3034 EPSG:3857"
 			wms_title "2 Buchungsstellen"
 			wms_abstract "FlurstÃŒcke mit 2 gegenseitig berechtigten Buchungsstellen, z.B. 'Erbbaurecht' an 'GrundstÃŒck'. Dargestellt wir die Buchungsart der berechtigten (herrschenden) Buchungsstelle."
@@ -69,5 +72,4 @@
 			EXPRESSION "1301"
 			NAME "Wohnungs-/Teileigentum"
-		#	NAME "1301 Wohnungs-/Teileigentum"
 			STYLE
 				OFFSET -4 -99 # innen
@@ -80,5 +82,4 @@
 			EXPRESSION "2101"
 			NAME "Erbbaurecht"
-		#	NAME "2101 Erbbaurecht"
 			STYLE
 				OFFSET -4 -99
@@ -91,5 +92,4 @@
 			EXPRESSION "2201"
 			NAME "Aufgeteiltes Erbbaurecht WEG"
-		#	NAME "2201 Aufgeteiltes Erbbaurecht WEG"
 			STYLE
 				OFFSET -4 -99
@@ -102,5 +102,4 @@
 			EXPRESSION "1302"
 			NAME "Miteigentum Par. 3 Abs. 4 GBO"
-		#	NAME "1302 Miteigentum Par. 3 Abs. 4 GBO"
 			STYLE
 				OFFSET -4 -99
@@ -124,9 +123,9 @@
 		TYPE POLYGON
 		CONNECTIONTYPE POSTGIS
-		CONNECTION "host=10.0.100.73 dbname=alkis0*gkz* user=ms6 port=5432"
+		CONNECTION "host=10.0.xxx.xxx dbname=alkis0*gkz* user=ms6 port=5432"
 		PROCESSING "CLOSE_CONNECTION=DEFER"
 		DATA "wkb_geometry from buchungsrechte_3wms using SRID=25832 using unique gml_id"
 		METADATA
-			wms_srs "EPSG:25832 EPSG:31467 EPSG:4326 EPSG:54004 EPSG:3034 EPSG:3857"
+			wms_srs "EPSG:25832 EPSG:31467 EPSG:4326 EPSG:3034 EPSG:3857"
 			wms_title "3 Buchungsstellen"
 			wms_abstract "FlurstÃŒcke mit 3 gegenseitig berechtigten Buchungsstellen, z.B. 'Untererbbaurecht' an 'Erbbbaurecht' an 'GrundstÃŒck'. Dargestellt wir die Buchungsart der berechtigten (herrschenden) Buchungsstelle auf der 3. Ebene."
@@ -140,5 +139,4 @@
 			EXPRESSION "2202"
 			NAME "Aufgeteiltes Untererbbaurecht WEG"
-		#	NAME "2202 Aufgeteiltes Untererbbaurecht WEG"
 			STYLE
 				COLOR 20 0 250 OPACITY 25 # Blau
@@ -148,5 +146,4 @@
 			EXPRESSION "2102"
 			NAME "Untererbbaurecht"
-		#	NAME "2102 Untererbbaurecht"
 			STYLE
 				COLOR 20 250 0 OPACITY 25 # GrÃŒn
@@ -156,5 +153,4 @@
 			EXPRESSION "2301"
 			NAME "Wohnungs-/Teilerbbaurecht"
-		#	NAME "2301 Wohnungs-/Teilerbbaurecht"
 			STYLE
 				COLOR 0 250 250 OPACITY 25 # TÃŒrkis
@@ -164,5 +160,4 @@
 			EXPRESSION "2203"
 			NAME "Aufgeteiltes Recht Par. 3 Abs. 4 GBO"
-		#	NAME "2203 Aufgeteiltes Recht Par. 3 Abs. 4 GBO"
 			STYLE
 				COLOR 250 160 0 OPACITY 25 # Orange
@@ -180,9 +175,9 @@
 		TYPE POLYGON
 		CONNECTIONTYPE POSTGIS
-		CONNECTION "host=10.0.100.73 dbname=alkis0*gkz* user=ms6 port=5432"
+		CONNECTION "host=10.0.xxx.xxx dbname=alkis0*gkz* user=ms6 port=5432"
 		PROCESSING "CLOSE_CONNECTION=DEFER"
 		DATA "wkb_geometry from buchungsrechte_4wms using SRID=25832 using unique gml_id"
 		METADATA
-			wms_srs "EPSG:25832 EPSG:31467 EPSG:4326 EPSG:54004 EPSG:3034 EPSG:3857"
+			wms_srs "EPSG:25832 EPSG:31467 EPSG:4326 EPSG:3034 EPSG:3857"
 			wms_title "4 Buchungsstellen"
 			wms_abstract "FlurstÃŒcke mit 4 gegenseitig berechtigten Buchungsstellen, z.B. 'Wohnungs-/Teiluntererbbaurecht'. Dargestellt wir die Buchungsart der berechtigten (herrschenden) Buchungsstelle auf der 4. Ebene."
@@ -196,5 +191,4 @@
 			EXPRESSION "2302"
 			NAME "Wohnungs-/Teiluntererbbaurecht"
-		#	NAME "2302 Wohnungs-/Teiluntererbbaurecht"
 			STYLE
 				SYMBOL hatchsym ANGLE 45
@@ -208,5 +202,4 @@
 			EXPRESSION "2303"
 			NAME "Erbbaurechtsanteil Par. 3 Abs. 4 GBO"
-		#	NAME "2303 Erbbaurechtsanteil Par. 3 Abs. 4 GBO"
 			STYLE
 				SYMBOL hatchsym ANGLE 45
@@ -217,5 +210,5 @@
 			END
 		END
-		CLASS # sonstige/Rest
+		CLASS
 			STYLE
 				SYMBOL hatchsym ANGLE 45