Index: trunk/umn/alkis_n/symbolssw.sym
===================================================================
--- trunk/umn/alkis_n/symbolssw.sym	(revision 424)
+++ trunk/umn/alkis_n/symbolssw.sym	(revision 426)
@@ -16,4 +16,5 @@
 SYMBOL NAME "norGIS_alkis3308_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3308_2.svg" END
 SYMBOL NAME "norGIS_alkis3309_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3309_2.svg" END
+SYMBOL NAME "norGIS_alkis3310_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3310_2.svg" END
 SYMBOL NAME "norGIS_alkis3311_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3311_2.svg" END
 SYMBOL NAME "norGIS_alkis3312_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3312_2.svg" END
@@ -23,4 +24,5 @@
 SYMBOL NAME "norGIS_alkis3317_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3317_2.svg" END
 SYMBOL NAME "norGIS_alkis3318_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3318_2.svg" END
+SYMBOL NAME "norGIS_alkis3319_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3319_2.svg" END
 SYMBOL NAME "norGIS_alkis3321_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3321_2.svg" END
 SYMBOL NAME "norGIS_alkis3323_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3323_2.svg" END
@@ -37,4 +39,5 @@
 SYMBOL NAME "norGIS_alkis3407_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3407_2.svg" END
 SYMBOL NAME "norGIS_alkis3409_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3409_2.svg" END
+SYMBOL NAME "norGIS_alkis3410_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3410_2.svg" END
 SYMBOL NAME "norGIS_alkis3411_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3411_2.svg" END
 SYMBOL NAME "norGIS_alkis3412_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3412_2.svg" END
@@ -67,8 +70,12 @@
 SYMBOL NAME "norGIS_alkis3478_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3478_2.svg" END
 SYMBOL NAME "norGIS_alkis3480_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3480_2.svg" END
+SYMBOL NAME "norGIS_alkis3481_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3481_2.svg" END
+SYMBOL NAME "norGIS_alkis3482_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3482_2.svg" END
+SYMBOL NAME "norGIS_alkis3484_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3484_2.svg" END
 SYMBOL NAME "norGIS_alkis3488_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3488_2.svg" END
 SYMBOL NAME "norGIS_alkis3490_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3490_2.svg" END
 SYMBOL NAME "norGIS_alkis3501_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3501_2.svg" END
 SYMBOL NAME "norGIS_alkis3502_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3502_2.svg" END
+SYMBOL NAME "norGIS_alkis3503_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3503_2.svg" END
 SYMBOL NAME "norGIS_alkis3504_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3504_2.svg" END
 SYMBOL NAME "norGIS_alkis3506_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3506_2.svg" END
@@ -76,10 +83,13 @@
 SYMBOL NAME "norGIS_alkis3509_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3509_2.svg" END
 SYMBOL NAME "norGIS_alkis3510_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3510_2.svg" END
+SYMBOL NAME "norGIS_alkis3511_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3511_2.svg" END
 SYMBOL NAME "norGIS_alkis3512_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3512_2.svg" END
 SYMBOL NAME "norGIS_alkis3513_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3513_2.svg" END
 SYMBOL NAME "norGIS_alkis3514_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3514_2.svg" END
+SYMBOL NAME "norGIS_alkis3517_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3517_2.svg" END
 SYMBOL NAME "norGIS_alkis3520_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3520_2.svg" END
 SYMBOL NAME "norGIS_alkis3521_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3521_2.svg" END
 SYMBOL NAME "norGIS_alkis3522_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3522_2.svg" END
+SYMBOL NAME "norGIS_alkis3523_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3523_2.svg" END
 SYMBOL NAME "norGIS_alkis3524_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3524_2.svg" END
 SYMBOL NAME "norGIS_alkis3525_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3525_2.svg" END
@@ -89,8 +99,12 @@
 SYMBOL NAME "norGIS_alkis3529_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3529_2.svg" END
 SYMBOL NAME "norGIS_alkis3532_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3532_2.svg" END
+SYMBOL NAME "norGIS_alkis3533_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3533_2.svg" END
+SYMBOL NAME "norGIS_alkis3534_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3534_2.svg" END
 SYMBOL NAME "norGIS_alkis3535_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3535_2.svg" END
 SYMBOL NAME "norGIS_alkis3536_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3536_2.svg" END
+SYMBOL NAME "norGIS_alkis3537_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3537_2.svg" END
 SYMBOL NAME "norGIS_alkis3539_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3539_2.svg" END
 SYMBOL NAME "norGIS_alkis3540_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3540_2.svg" END
+SYMBOL NAME "norGIS_alkis3554_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3554_2.svg" END
 SYMBOL NAME "norGIS_alkis3556_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3556_2.svg" END
 SYMBOL NAME "norGIS_alkis3574_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3574_2.svg" END
@@ -111,5 +125,8 @@
 SYMBOL NAME "norGIS_alkis3625_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3625_2.svg" END
 SYMBOL NAME "norGIS_alkis3627_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3627_2.svg" END
+SYMBOL NAME "norGIS_alkis3629_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3629_2.svg" END
 SYMBOL NAME "norGIS_alkis3632_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3632_2.svg" END
+SYMBOL NAME "norGIS_alkis3634_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3634_2.svg" END
+SYMBOL NAME "norGIS_alkis3643_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3643_2.svg" END
 SYMBOL NAME "norGIS_alkis3653_2" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3653_2.svg" END
 END
Index: trunk/umn/alkis_n/symbols.sym
===================================================================
--- trunk/umn/alkis_n/symbols.sym	(revision 424)
+++ trunk/umn/alkis_n/symbols.sym	(revision 426)
@@ -16,4 +16,5 @@
 SYMBOL NAME "norGIS_alkis3308_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3308_1.svg" END
 SYMBOL NAME "norGIS_alkis3309_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3309_1.svg" END
+SYMBOL NAME "norGIS_alkis3310_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3310_1.svg" END
 SYMBOL NAME "norGIS_alkis3311_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3311_1.svg" END
 SYMBOL NAME "norGIS_alkis3312_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3312_1.svg" END
@@ -23,4 +24,5 @@
 SYMBOL NAME "norGIS_alkis3317_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3317_1.svg" END
 SYMBOL NAME "norGIS_alkis3318_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3318_1.svg" END
+SYMBOL NAME "norGIS_alkis3319_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3319_1.svg" END
 SYMBOL NAME "norGIS_alkis3321_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3321_1.svg" END
 SYMBOL NAME "norGIS_alkis3323_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3323_1.svg" END
@@ -33,5 +35,9 @@
 SYMBOL NAME "norGIS_alkis3340_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3340_1.svg" END
 SYMBOL NAME "norGIS_alkis3401_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3401_1.svg" END
+SYMBOL NAME "norGIS_alkis3404_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3404_1.svg" END
 SYMBOL NAME "norGIS_alkis3407_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3407_1.svg" END
+SYMBOL NAME "norGIS_alkis3409_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3409_1.svg" END
+SYMBOL NAME "norGIS_alkis3410_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3410_1.svg" END
+SYMBOL NAME "norGIS_alkis3411_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3411_1.svg" END
 SYMBOL NAME "norGIS_alkis3412_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3412_1.svg" END
 SYMBOL NAME "norGIS_alkis3413_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3413_1.svg" END
@@ -47,6 +53,9 @@
 SYMBOL NAME "norGIS_alkis3440_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3440_1.svg" END
 SYMBOL NAME "norGIS_alkis3441_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3441_1.svg" END
+SYMBOL NAME "norGIS_alkis3444_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3444_1.svg" END
 SYMBOL NAME "norGIS_alkis3446_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3446_1.svg" END
+SYMBOL NAME "norGIS_alkis3450_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3450_1.svg" END
 SYMBOL NAME "norGIS_alkis3452_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3452_1.svg" END
+SYMBOL NAME "norGIS_alkis3454_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3454_1.svg" END
 SYMBOL NAME "norGIS_alkis3458_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3458_1.svg" END
 SYMBOL NAME "norGIS_alkis3460_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3460_1.svg" END
@@ -54,30 +63,65 @@
 SYMBOL NAME "norGIS_alkis3470_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3470_1.svg" END
 SYMBOL NAME "norGIS_alkis3474_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3474_1.svg" END
+SYMBOL NAME "norGIS_alkis3476_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3476_1.svg" END
 SYMBOL NAME "norGIS_alkis3478_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3478_1.svg" END
 SYMBOL NAME "norGIS_alkis3480_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3480_1.svg" END
+SYMBOL NAME "norGIS_alkis3481_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3481_1.svg" END
+SYMBOL NAME "norGIS_alkis3482_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3482_1.svg" END
+SYMBOL NAME "norGIS_alkis3484_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3484_1.svg" END
 SYMBOL NAME "norGIS_alkis3488_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3488_1.svg" END
 SYMBOL NAME "norGIS_alkis3490_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3490_1.svg" END
 SYMBOL NAME "norGIS_alkis3501_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3501_1.svg" END
+SYMBOL NAME "norGIS_alkis3502_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3502_1.svg" END
+SYMBOL NAME "norGIS_alkis3503_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3503_1.svg" END
 SYMBOL NAME "norGIS_alkis3504_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3504_1.svg" END
 SYMBOL NAME "norGIS_alkis3506_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3506_1.svg" END
 SYMBOL NAME "norGIS_alkis3508_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3508_1.svg" END
+SYMBOL NAME "norGIS_alkis3509_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3509_1.svg" END
+SYMBOL NAME "norGIS_alkis3510_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3510_1.svg" END
+SYMBOL NAME "norGIS_alkis3511_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3511_1.svg" END
+SYMBOL NAME "norGIS_alkis3512_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3512_1.svg" END
+SYMBOL NAME "norGIS_alkis3513_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3513_1.svg" END
 SYMBOL NAME "norGIS_alkis3514_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3514_1.svg" END
+SYMBOL NAME "norGIS_alkis3517_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3517_1.svg" END
+SYMBOL NAME "norGIS_alkis3520_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3520_1.svg" END
 SYMBOL NAME "norGIS_alkis3521_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3521_1.svg" END
 SYMBOL NAME "norGIS_alkis3522_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3522_1.svg" END
+SYMBOL NAME "norGIS_alkis3523_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3523_1.svg" END
+SYMBOL NAME "norGIS_alkis3524_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3524_1.svg" END
+SYMBOL NAME "norGIS_alkis3525_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3525_1.svg" END
+SYMBOL NAME "norGIS_alkis3526_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3526_1.svg" END
 SYMBOL NAME "norGIS_alkis3527_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3527_1.svg" END
+SYMBOL NAME "norGIS_alkis3528_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3528_1.svg" END
 SYMBOL NAME "norGIS_alkis3529_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3529_1.svg" END
 SYMBOL NAME "norGIS_alkis3532_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3532_1.svg" END
+SYMBOL NAME "norGIS_alkis3533_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3533_1.svg" END
+SYMBOL NAME "norGIS_alkis3534_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3534_1.svg" END
+SYMBOL NAME "norGIS_alkis3535_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3535_1.svg" END
 SYMBOL NAME "norGIS_alkis3536_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3536_1.svg" END
+SYMBOL NAME "norGIS_alkis3537_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3537_1.svg" END
 SYMBOL NAME "norGIS_alkis3539_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3539_1.svg" END
+SYMBOL NAME "norGIS_alkis3540_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3540_1.svg" END
+SYMBOL NAME "norGIS_alkis3554_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3554_1.svg" END
+SYMBOL NAME "norGIS_alkis3556_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3556_1.svg" END
 SYMBOL NAME "norGIS_alkis3578_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3578_1.svg" END
+SYMBOL NAME "norGIS_alkis3587_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3587_1.svg" END
+SYMBOL NAME "norGIS_alkis3588_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3588_1.svg" END
+SYMBOL NAME "norGIS_alkis3592_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3592_1.svg" END
+SYMBOL NAME "norGIS_alkis3595_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3595_1.svg" END
 SYMBOL NAME "norGIS_alkis3596_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3596_1.svg" END
 SYMBOL NAME "norGIS_alkis3597_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3597_1.svg" END
 SYMBOL NAME "norGIS_alkis3599_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3599_1.svg" END
 SYMBOL NAME "norGIS_alkis3601_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3601_1.svg" END
+SYMBOL NAME "norGIS_alkis3603_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3603_1.svg" END
 SYMBOL NAME "norGIS_alkis3605_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3605_1.svg" END
 SYMBOL NAME "norGIS_alkis3613_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3613_1.svg" END
 SYMBOL NAME "norGIS_alkis3619_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3619_1.svg" END
 SYMBOL NAME "norGIS_alkis3621_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3621_1.svg" END
+SYMBOL NAME "norGIS_alkis3625_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3625_1.svg" END
 SYMBOL NAME "norGIS_alkis3627_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3627_1.svg" END
+SYMBOL NAME "norGIS_alkis3629_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3629_1.svg" END
 SYMBOL NAME "norGIS_alkis3632_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3632_1.svg" END
+SYMBOL NAME "norGIS_alkis3634_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3634_1.svg" END
+SYMBOL NAME "norGIS_alkis3643_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3643_1.svg" END
+SYMBOL NAME "norGIS_alkis3653_1" TYPE SVG IMAGE "/opt/gdi/alkisn/svg/alkis3653_1.svg" END
 END