Index: trunk/info/info/alkisn/alkisgebaeudenw.php
===================================================================
--- trunk/info/info/alkisn/alkisgebaeudenw.php	(revision 425)
+++ trunk/info/info/alkisn/alkisgebaeudenw.php	(revision 427)
@@ -1,9 +1,13 @@
 <?php
-/*	alkisgebaeudenw.php - Gebaeudenachweis
-	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
+/*	alkisgebaeudenw.php
+
+	ALKIS-Buchauskunft
+	Author: Frank JÃ€ger, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo)
+
+	GebÃ€ude- und Bauwerks-Nachweis fÃŒr ein FlurstÃŒck
 
 	Version:
 	2016-02-24 Version fÃŒr norGIS-ALKIS-Import
-	....
+	...
 	2020-02-20 Authentifizierung ausgelegert in Function darf_ich()
 	2020-12-03 function selbstverlinkung() statt $_SERVER['PHP_SELF']
@@ -12,4 +16,6 @@
 	2021-03-11 Adresse(n) des gehÃ¶rtZu-Haus zum Bauwerk nicht mehr hier anzeigen sondern im neuen Bauwerk-Modul.
 	2021-12-09 Neue Parameter: $katAmtMix (Kataster-Amt-Mix), $PrntBtn (Drucken-SchaltflÃ€che)
+	2022-01-13 Neue Functions LnkStf(), DsKy()
+	2022-02-17 Neue Bauwerks-Typen
 */
 
@@ -34,6 +40,7 @@
 }
 	
-// Kopf fÃŒr die Anzeige der Bauwerke. Nur wenn tatsÃ€chlich Bauwerke vorkommen.
 function bauw_tab_head() {
+// Kopf fÃŒr die Anzeige der Bauwerke. Nur wenn tatsÃ€chlich Bauwerke vorkommen.	
+
 	// Ãberschrift
 	echo "\n\n<h3><img src='ico/Haus.png' width='16' height='16' alt=''> Bauwerke</h3>"
@@ -54,5 +61,4 @@
 
 // S T A R T
-
 ini_set("session.cookie_httponly", 1);
 session_start();
@@ -92,14 +98,10 @@
 
 $erlaubnis = darf_ich(); if ($erlaubnis === 0) { die('<p class="stop1">Abbruch</p></body>'); }
-$dbg=$debug; // CONF in Arbeits-Variable
-
-// Mit URL-Parameter "&nodebug=j" kann man die Entwicklungsumgebung (in Conf definiert) ausschalten.
-// Wirkt temporÃ€r und wird nicht in Links weiter gereicht.
+$dbg=$debug;
 if ($nodebug === "j") {$dbg=0;} 
-
 $con = pg_connect($dbconn." options='--application_name=ALKIS-Auskunft_alkisgebaeudenw.php'");
 if (!$con) echo "\n<p class='err'>Fehler beim Verbinden der DB</p>";
 
-// Flurstueck
+// FlurstÃŒck
 $sqlf ="SELECT f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, g.gemarkungsnummer, g.bezeichnung 
 FROM ax_flurstueck f LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ".UnqKatAmt("f","g")
@@ -148,7 +150,5 @@
 					."\n\t\t\t<td class='head'>Flurst-Nr.</td>"
 				."\n\t\t</tr>\n\t\t<tr>"
-					."\n\t\t\t<td title='Gemarkung'>";
-					if ($showkey) {echo "<span class='key'>".$gmkgnr."</span><br>";}
-					echo $gemkname."&nbsp;</td>"
+					."\n\t\t\t<td title='Gemarkung'>".DsKy($gmkgnr, 'Gemarkungsnummer').$gemkname."&nbsp;</td>"
 					."\n\t\t\t<td title='Flurnummer'>".$flurnummer."</td>"
 					."\n\t\t\t<td title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>".$flstnummer."</span></td>"
@@ -158,7 +158,6 @@
 		."\n\t<td>"
 			."\n\t\t<p class='nwlink noprint'>" // Links zu anderem Nachweis
-				."\n\t\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid;
-				if ($showkey) {echo "&amp;showkey=j";}
-				echo "&amp;eig=n' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.png' width='16' height='16' alt=''></a>"
+				."\n\t\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid.LnkStf()
+				."&amp;eig=n' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.png' width='16' height='16' alt=''></a>"
 			."\n\t\t</p>"
 		."\n\t</td>"
@@ -169,8 +168,7 @@
 pg_free_result($resf);
 
-// G e b a e u d e
-
+// GebÃ€ude
 $sqlg ="SELECT g.gml_id, g.name, g.bauweise, g.gebaeudefunktion, h.beschreibung AS bauweise_beschreibung, u.beschreibung AS bezeichner, u.dokumentation AS gfktd, g.zustand, z.beschreibung AS bzustand, 
-round(st_area(g.wkb_geometry)::numeric,2) AS gebflae, "; // GEB-Flaeche, auch ausserhalb des FS
+round(st_area(g.wkb_geometry)::numeric,2) AS gebflae, "; // GEB-FlÃ€che, auch ausserhalb des FS
 $sqlg.="round(st_area(ST_Intersection(g.wkb_geometry,f.wkb_geometry))::numeric,2) AS schnittflae, "; // wie viel vom GEB liegt im FS?
 $sqlg.="st_within(g.wkb_geometry,f.wkb_geometry) as drin 
@@ -181,5 +179,5 @@
 WHERE f.gml_id= $1 AND f.endet IS NULL and g.endet IS NULL ";
 
-// "within" -> nur Geb., die komplett im FS liegen. "intersects" -> auch teil-ueberlappende Flst.
+// "within" -> nur Geb., die komplett im FS liegen. "intersects" -> auch teil-ÃŒberlappende Flst.
 $sqlg.="AND st_intersects(g.wkb_geometry,f.wkb_geometry) = true ";
 // RLP: keine Relationen zu NebengebÃ€uden. Auf Qualifizierung verzichten, sonst werden NebengebÃ€ude nicht angezeigt
@@ -202,10 +200,9 @@
 	$ggml=$rowg["gml_id"];
 	$gebflsum=$gebflsum + $rowg["schnittflae"];
-	$gnam=trim(trim($rowg["name"], "{}"), '"'); // Gebaeude-Name ist ein Array in der DB: '{"A","B"}'
+	$gnam=trim(trim($rowg["name"], "{}"), '"'); // GebÃ€ude-Name ist ein Array in der DB: '{"A","B"}'
 	// Mehrfachbelegung nur theoretisch. Entklammern reicht. Mal mit und mal ohne "" drum!?
-	/* SELECT name FROM ax_gebaeude WHERE NOT name IS NULL AND array_length(name, 1) > 1; */
 	$gfktk=htmlentities($rowg["gebaeudefunktion"], ENT_QUOTES, "UTF-8");  // Geb.-Funktion Key
-	$gfktv=htmlentities($rowg["bezeichner"], ENT_QUOTES, "UTF-8"); // Geb.Funktion Value
-	$gfktd=htmlentities($rowg["gfktd"], ENT_QUOTES, "UTF-8"); // GebÃ€ude-Funktion-Description
+	$gfktv=htmlentities($rowg["bezeichner"], ENT_QUOTES, "UTF-8"); // -Value
+	$gfktd=htmlentities($rowg["gfktd"], ENT_QUOTES, "UTF-8"); // -Description
 
 	$gbauw=$rowg["bauweise"];
@@ -235,25 +232,14 @@
 		."\n\t<td>";
 		if ($gnam != "") {echo "<span title='Geb&auml;udename'>".$gnam."</span><br>";}
-		echo "</td>";
-
-		echo "\n\t<td class='fla'>".$f1."</td>"
-		."\n\t<td class='".$gstyle."'>".$f2."</td>"; // FlÃ€chenangaben
-
-		echo "\n\t<td title='".$gfktd."'>"; // Funktion
-			if ($showkey) {echo "<span class='key'>(".$gfktk.")</span>&nbsp;";}
-			echo $gfktv;
-		echo "</td>";
-
-		echo "\n\t<td>";
+		echo "</td>"
+		."\n\t<td class='fla'>".$f1."</td>\n\t<td class='".$gstyle."'>".$f2."</td>" // FlÃ€chenangaben
+		."\n\t<td title='".$gfktd."'>".DsKy($gfktk, 'Funktion-*').$gfktv."</td>"
+		."\n\t<td>";
 		if ($gbauw != "") {
-			if ($showkey) {echo "<span class='key'>(".$gbauw.")</span>&nbsp;";}
-			echo $gbauwb;
-		}
-		echo "</td>";
-
-		echo "\n\t<td>";
+			echo DsKy($gbauw, 'Bauweise-*').$gbauwb;
+		}
+		echo "</td>\n\t<td>";
 		if ($gzus != "") {
-			if ($showkey) {echo "<span class='key'>(".$gzus.")</span>&nbsp;";}
-			echo $gzustand;
+			echo DsKy(gzus, 'Zustand-*').$gzustand;
 		}
 		echo "</td>";
@@ -298,9 +284,6 @@
 				$lagetxt=$snam." ".$hsnr;
 			}
-			echo "\n\t\t<a title='".$lagetitl."' href='alkislage.php?gkz=".$gkz."&amp;gmlid=".$gmllag."&amp;ltyp=".$ltyp;
-				if ($showkey) {echo "&amp;showkey=j";}
-				echo "'>";
-				if ($showkey) {echo "<span class='key'>(".$skey.")</span>&nbsp;";}
-			echo $lagetxt."&nbsp;<img src='ico/Lage_mit_Haus.png' width='16' height='16' alt=''></a><br>";
+			echo "\n\t\t<a title='".$lagetitl."' href='alkislage.php?gkz=".$gkz."&amp;gmlid=".$gmllag."&amp;ltyp=".$ltyp.LnkStf()."'>"
+			.DsKy($skey, 'Stra&szlig;en-*').$lagetxt."&nbsp;<img src='ico/Lage_mit_Haus.png' width='16' height='16' alt=''></a><br>";
 		} // Ende Loop Lage m.H.
 		pg_free_result($resl);
@@ -308,7 +291,6 @@
 
 		echo "\n\t<td class='nwlink noprint'>" // Link Haus
-			."\n\t\t<a title='Daten zum Geb&auml;ude-Objekt' href='alkishaus.php?gkz=".$gkz."&amp;gmlid=".$ggml;
-			if ($showkey) {echo "&amp;showkey=j";}
-			echo "'>Haus&nbsp;<img src='ico/Haus.png' width='16' height='16' alt=''></a>"
+			."\n\t\t<a title='Daten zum Geb&auml;ude-Objekt' href='alkishaus.php?gkz=".$gkz."&amp;gmlid=".$ggml.LnkStf()
+			."'>Haus&nbsp;<img src='ico/Haus.png' width='16' height='16' alt=''></a>"
 		."\n\t</td>"
 	."\n</tr>";
@@ -317,5 +299,4 @@
 if ($gebnr === 0) {
 	echo "<p><br>Kein Geb&auml;ude auf diesem Flurst&uuml;ck.<br>&nbsp;</p>";
-	//if ($dbg > 2) {echo "\n<p class='err'>SQL=<br>".$sqlg."<br>$1 = gml_id = '".$gmlid."'</p>";}
 } else {
 	echo "\n<tr>"
@@ -331,14 +312,14 @@
 
 // B a u w e r k e
-
 // Konstanten fÃŒr Sortierung und Gruppierung
 $btyp_verkehr=1; $btyp_gewaesser=2; $btyp_sonst=3; $btyp_indu=4; $btyp_sport=5;
 $btyp_leitg=6; $btyp_trans=7; $btyp_turm=8; $btyp_vorrat=9;
-
-// Tabllen-Alias, 2stellig. 1. Stelle: f_=FlurstÃŒck, b_=Bauwerk, k_=Key = SchlÃŒsseltabelle. // 2. Stelle: wie Konstante
-
-// 1 -V e r k e h r
+$btyp_hist=10; $btyp_heil=11; $btyp_oeff=12; $btyp_bpkt=13;
+
+// Tabllen-Alias, 2-3 stellig. 1. Stelle: f_=FlurstÃŒck, b_=Bauwerk, k_=Key = SchlÃŒsseltabelle. // 2.-3. Stelle: wie Konstante
+
+// 1 - V e r k e h r
 $sqlb="SELECT ".$btyp_verkehr." AS bwtyp, b1.gml_id, 
- b1.bauwerksfunktion, k1.beschreibung AS bezeichner, k1.dokumentation AS bfktd, b1.bezeichnung, b1.name, NULL AS gehoertzu, 
+ b1.bauwerksfunktion, k1.beschreibung, k1.dokumentation, b1.bezeichnung, b1.name, NULL AS gehoertzu, 
  round(st_area(b1.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b1.wkb_geometry,f1.wkb_geometry))::numeric,2) AS schnittflae, 
  st_within(b1.wkb_geometry,f1.wkb_geometry) as drin, GeometryType(b1.wkb_geometry) as bgeotyp 
@@ -349,16 +330,14 @@
 // 2 - G e w Ã€ s s e r
 $sqlb.="UNION
- SELECT ".$btyp_gewaesser." AS bwtyp, b2.gml_id, b2.bauwerksfunktion, ug.beschreibung AS bezeichner, ug.dokumentation AS bfktd, 
- b2.bezeichnung, b2.name, NULL AS gehoertzu, 
+ SELECT ".$btyp_gewaesser." AS bwtyp, b2.gml_id, b2.bauwerksfunktion, k2.beschreibung, k2.dokumentation, b2.bezeichnung, b2.name, NULL AS gehoertzu, 
  round(st_area(b2.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b2.wkb_geometry,f2.wkb_geometry))::numeric,2) AS schnittflae, 
  st_within(b2.wkb_geometry,f2.wkb_geometry) as drin, GeometryType(b2.wkb_geometry) as bgeotyp 
  FROM ax_flurstueck f2 
  JOIN ax_bauwerkimgewaesserbereich b2 ON st_intersects(b2.wkb_geometry,f2.wkb_geometry) = true
- LEFT JOIN ax_bauwerksfunktion_bauwerkimgewaesserbereich ug ON b2.bauwerksfunktion = ug.wert 
+ LEFT JOIN ax_bauwerksfunktion_bauwerkimgewaesserbereich k2 ON b2.bauwerksfunktion = k2.wert 
  WHERE f2.gml_id = $1 AND f2.endet IS NULL AND b2.endet IS NULL ";
 // 3 - S o n s t i g e  Bauwerke
 $sqlb.="UNION
- SELECT ".$btyp_sonst." AS bwtyp, b3.gml_id, b3.bauwerksfunktion, k3.beschreibung AS bezeichner, k3.dokumentation AS bfktd, 
- b3.bezeichnung, b3.name, b3.gehoertzu, 
+ SELECT ".$btyp_sonst." AS bwtyp, b3.gml_id, b3.bauwerksfunktion, k3.beschreibung, k3.dokumentation, b3.bezeichnung, b3.name, b3.gehoertzu, 
  round(st_area(b3.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b3.wkb_geometry,f3.wkb_geometry))::numeric,2) AS schnittflae, 
  st_within(b3.wkb_geometry,f3.wkb_geometry) as drin, GeometryType(b3.wkb_geometry) as bgeotyp 
@@ -369,6 +348,5 @@
 // 4 - Bauwerk oder Anlage fÃŒr  I n d u s t r i e  und Gewerbe
 $sqlb.="UNION
- SELECT ".$btyp_indu." AS bwtyp, b4.gml_id, b4.bauwerksfunktion, k4.beschreibung AS bezeichner, k4.dokumentation AS bfktd, 
- b4.bezeichnung, b4.name, NULL AS gehoertzu, 
+ SELECT ".$btyp_indu." AS bwtyp, b4.gml_id, b4.bauwerksfunktion, k4.beschreibung, k4.dokumentation, b4.bezeichnung, b4.name, NULL AS gehoertzu, 
  round(st_area(b4.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b4.wkb_geometry,f4.wkb_geometry))::numeric,2) AS schnittflae, 
  st_within(b4.wkb_geometry,f4.wkb_geometry) as drin, GeometryType(b4.wkb_geometry) as bgeotyp 
@@ -379,6 +357,5 @@
 // 5 - Bauwerk oder Anlage fÃŒr  S p o r t , Freizeit und Erholung
 $sqlb.="UNION
- SELECT ".$btyp_sport." AS bwtyp, b5.gml_id, b5.bauwerksfunktion, k5.beschreibung AS bezeichner, k5.dokumentation AS bfktd, 
- NULL AS bezeichnung, b5.name, NULL AS gehoertzu, 
+ SELECT ".$btyp_sport." AS bwtyp, b5.gml_id, b5.bauwerksfunktion, k5.beschreibung, k5.dokumentation, NULL AS bezeichnung, b5.name, NULL AS gehoertzu, 
  round(st_area(b5.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b5.wkb_geometry,f5.wkb_geometry))::numeric,2) AS schnittflae, 
  st_within(b5.wkb_geometry,f5.wkb_geometry) as drin, GeometryType(b5.wkb_geometry) as bgeotyp 
@@ -389,6 +366,5 @@
 // 6 - L e i t u n g
 $sqlb.="UNION
- SELECT ".$btyp_leitg." AS bwtyp, b6.gml_id, b6.bauwerksfunktion, k6.beschreibung AS bezeichner, k6.dokumentation AS bfktd, 
- NULL AS bezeichnung, b6.name, NULL AS gehoertzu, 
+ SELECT ".$btyp_leitg." AS bwtyp, b6.gml_id, b6.bauwerksfunktion, k6.beschreibung, k6.dokumentation, NULL AS bezeichnung, b6.name, NULL AS gehoertzu, 
  round(st_area(b6.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b6.wkb_geometry,f6.wkb_geometry))::numeric,2) AS schnittflae, 
  st_within(b6.wkb_geometry,f6.wkb_geometry) as drin, GeometryType(b6.wkb_geometry) as bgeotyp 
@@ -399,6 +375,5 @@
 // 7 - T r a n s p o r t a n l a g e
 $sqlb.="UNION
- SELECT ".$btyp_trans." AS bwtyp, b7.gml_id, b7.bauwerksfunktion, k7.beschreibung AS bezeichner, k7.dokumentation AS bfktd, 
- NULL AS bezeichnung, NULL AS name, NULL AS gehoertzu, 
+ SELECT ".$btyp_trans." AS bwtyp, b7.gml_id, b7.bauwerksfunktion, k7.beschreibung, k7.dokumentation, NULL AS bezeichnung, NULL AS name, NULL AS gehoertzu, 
  round(st_area(b7.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b7.wkb_geometry,f7.wkb_geometry))::numeric,2) AS schnittflae, 
  st_within(b7.wkb_geometry,f7.wkb_geometry) as drin, GeometryType(b7.wkb_geometry) as bgeotyp 
@@ -409,6 +384,5 @@
 // 8 - T u r m  (Sonderfall Array)
 $sqlb.="UNION
- SELECT ".$btyp_turm." AS bwtyp, b8.gml_id, k8.wert AS bauwerksfunktion, k8.beschreibung AS bezeichner, k8.dokumentation AS bfktd, 
- NULL AS bezeichnung, b8.name, NULL AS gehoertzu, 
+ SELECT ".$btyp_turm." AS bwtyp, b8.gml_id, k8.wert AS bauwerksfunktion, k8.beschreibung, k8.dokumentation, NULL AS bezeichnung, b8.name, NULL AS gehoertzu, 
  round(st_area(b8.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b8.wkb_geometry,f8.wkb_geometry))::numeric,2) AS schnittflae, 
  st_within(b8.wkb_geometry,f8.wkb_geometry) as drin, GeometryType(b8.wkb_geometry) as bgeotyp 
@@ -419,6 +393,5 @@
 // 9 -  V o r r a t s b e h Ã€ l t e r ,  S p e i c h e r b a u w e r k
 $sqlb.="UNION
- SELECT ".$btyp_vorrat." AS bwtyp, b9.gml_id, b9.bauwerksfunktion, k9.beschreibung AS bezeichner, k9.dokumentation AS bfktd, 
- NULL AS bezeichnung, b9.name, NULL AS gehoertzu, 
+ SELECT ".$btyp_vorrat." AS bwtyp, b9.gml_id, b9.bauwerksfunktion, k9.beschreibung, k9.dokumentation, NULL AS bezeichnung, b9.name, NULL AS gehoertzu, 
  round(st_area(b9.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b9.wkb_geometry,f9.wkb_geometry))::numeric,2) AS schnittflae, 
  st_within(b9.wkb_geometry,f9.wkb_geometry) as drin, GeometryType(b9.wkb_geometry) as bgeotyp 
@@ -427,4 +400,38 @@
  LEFT JOIN ax_bauwerksfunktion_vorratsbehaelterspeicherbauwerk k9 ON b9.bauwerksfunktion = k9.wert 
  WHERE f9.gml_id = $1 AND f9.endet IS NULL AND b9.endet IS NULL ";
+// 10 - H i s t o r i s c h e s  Bauwerk oder historische Einrichtung
+$sqlb.="UNION
+ SELECT ".$btyp_hist." AS bwtyp, b10.gml_id, NULL AS bauwerksfunktion, k10.beschreibung, k10.dokumentation, NULL AS bezeichnung, b10.name, NULL AS gehoertzu, 
+ round(st_area(b10.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b10.wkb_geometry,f10.wkb_geometry))::numeric,2) AS schnittflae, 
+ st_within(b10.wkb_geometry,f10.wkb_geometry) as drin, GeometryType(b10.wkb_geometry) as bgeotyp 
+ FROM ax_flurstueck f10 
+ JOIN ax_historischesbauwerkoderhistorischeeinrichtung b10 ON st_intersects(b10.wkb_geometry,f10.wkb_geometry) = true
+ LEFT JOIN ax_archaeologischertyp_historischesbauwerkoderhistorischee k10 ON b10.archaeologischertyp = k10.wert 
+ WHERE f10.gml_id = $1 AND f10.endet IS NULL AND b10.endet IS NULL ";
+// 11 - H e i l q u e l l e ,   G a s q u e l l e
+$sqlb.="UNION
+ SELECT ".$btyp_heil." AS bwtyp, b11.gml_id, NULL AS bauwerksfunktion, k11.beschreibung, k11.dokumentation, NULL AS bezeichnung, b11.name, NULL AS gehoertzu, 
+ round(st_area(b11.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b11.wkb_geometry,f11.wkb_geometry))::numeric,2) AS schnittflae, 
+ st_within(b11.wkb_geometry,f11.wkb_geometry) as drin, GeometryType(b11.wkb_geometry) as bgeotyp 
+ FROM ax_flurstueck f11 
+ JOIN ax_heilquellegasquelle b11 ON st_intersects(b11.wkb_geometry,f11.wkb_geometry) = true
+ LEFT JOIN ax_art_heilquellegasquelle k11 ON b11.art = k11.wert 
+ WHERE f11.gml_id = $1 AND f11.endet IS NULL AND b11.endet IS NULL ";
+// 12 - Einrichtung in Ã¶ffentlichen Bereichen
+$sqlb.="UNION
+ SELECT ".$btyp_oeff." AS bwtyp, b12.gml_id, NULL AS bauwerksfunktion, k12.beschreibung, k12.dokumentation, NULL AS bezeichnung, NULL AS name, NULL AS gehoertzu, 
+ round(st_area(b12.wkb_geometry)::numeric,2) AS gebflae, round(st_area(ST_Intersection(b12.wkb_geometry,f12.wkb_geometry))::numeric,2) AS schnittflae, 
+ st_within(b12.wkb_geometry,f12.wkb_geometry) as drin, GeometryType(b12.wkb_geometry) as bgeotyp 
+ FROM ax_flurstueck f12 
+ JOIN ax_einrichtunginoeffentlichenbereichen b12 ON st_intersects(b12.wkb_geometry,f12.wkb_geometry) = true
+ LEFT JOIN ax_art_einrichtunginoeffentlichenbereichen k12 ON b12.art = k12.wert 
+ WHERE f12.gml_id = $1 AND f12.endet IS NULL AND b12.endet IS NULL ";
+/* TestfÃ€lle FS: SELECT f.gml_id FROM ax_flurstueck f JOIN ax_einrichtunginoeffentlichenbereichen b ON st_intersects(b.wkb_geometry,f.wkb_geometry) = true;
+ 140: DENW17AL34g000F6  */
+
+/* // 13 - Besonderer Bauwerkspunkt (ohne Geometrie !)
+$sqlb.="UNION
+ SELECT ".$btyp_bpkt.
+// Tab: ax_besondererbauwerkspunkt */
 
 // Generell ...
@@ -449,7 +456,9 @@
 	$bauflsum=$bauflsum + $rowb["schnittflae"];
 	$bbez=htmlentities($rowb["bezeichnung"], ENT_QUOTES, "UTF-8");
+
 	$bfktk=htmlentities($rowb["bauwerksfunktion"], ENT_QUOTES, "UTF-8");
-	$bfktv=htmlentities($rowb["bezeichner"], ENT_QUOTES, "UTF-8");
-	$bfktd=htmlentities($rowb["bfktd"], ENT_QUOTES, "UTF-8");
+	$bfktv=htmlentities($rowb["beschreibung"], ENT_QUOTES, "UTF-8");
+	$bfktd=htmlentities($rowb["dokumentation"], ENT_QUOTES, "UTF-8"); 
+
 	$bnam=htmlentities($rowb["name"], ENT_QUOTES, "UTF-8");
 	$bgeb=$rowb["gehoertzu"];
@@ -500,11 +509,11 @@
 				$btyptitle='Bauwerk im Verkehrsbereich'; break;
 			case $btyp_gewaesser:
-				$btyptitle='Bauwerk im GewÃ€sserbereich'; break;
+				$btyptitle='Bauwerk im Gew&auml;sserbereich'; break;
 			case $btyp_sonst: 
 				$btyptitle='Sonstiges Bauwerk oder sonstige Einrichtung'; break;
 			case $btyp_indu:
-				$btyptitle="Bauwerk oder Anlage fÃŒr Industrie und Gewerbe"; break;
+				$btyptitle="Bauwerk oder Anlage f&uuml;r Industrie und Gewerbe"; break;
 			case $btyp_sport:
-				$btyptitle="Bauwerk oder Anlage fÃŒr Sport, Freizeit und Erholung"; break;
+				$btyptitle="Bauwerk oder Anlage f&uuml;r Sport, Freizeit und Erholung"; break;
 			case $btyp_leitg:
 				$btyptitle="Leitung"; break;
@@ -514,7 +523,15 @@
 				$btyptitle="Turm"; break;
 			case $btyp_vorrat:
-				$btyptitle="VorratsbehÃ€lter, Speicherbauwerk"; break;
+				$btyptitle="Vorratsbeh&auml;lter, Speicherbauwerk"; break;
+			case $btyp_hist:
+				$btyptitle="Historisches Bauwerk oder historische Einrichtung"; break;
+			case $btyp_heil:
+				$btyptitle="Heilquelle, Gasquelle"; break;
+			case $btyp_oeff:
+				$btyptitle="Einrichtung in &ouml;ffentlichen Bereichen"; break;
+			case $btyp_bpkt:
+				$btyptitle="Besonderer Bauwerkspunkt"; break;
 			default:
-				$btyptitle='Fehler'; break;
+				$btyptitle='Fehler!'; break;
 		}
 		echo "<tr><td colspan=3></td><td colspan=2 class='gw'>".$btyptitle."</td></tr>"; // ++ Symbol?
@@ -528,8 +545,5 @@
 		echo "\n\t<td class='fla'>".$f1."</td>"
 		."\n\t<td class='".$bstyle."'>".$f2."</td>"; // FlÃ€chenangaben
-		echo "\n\t<td>";
-		if ($showkey) {echo "<span class='key'>(".$bfktk.")</span>&nbsp;";} // Bauwerksfunktion
-		echo "<span title='".$bfktd ."'>".$bfktv."</span>";
-		echo "</td>";
+		echo "\n\t<td>".DsKy($bfktk, 'Bauwerksfunktion-*')."<span title='".$bfktd ."'>".$bfktv."</span></td>";
 
 		// Lage / Haus (nur bei Typ 3 sonstige)
@@ -537,16 +551,14 @@
 		if ($bgeb != "") { // gehÃ¶rt zu GebÃ€ude
 		//	bw_gz_lage($bgeb); // Function: Lage (Adresse) ausgeben
-			echo "\n\t\t<a title='gehÃ¶rt zu' href='alkishaus.php?gkz=".$gkz."&amp;gmlid=".$bgeb;
-			if ($showkey) {echo "&amp;showkey=j";}
-			echo "'>Haus&nbsp;<img src='ico/Haus.png' width='16' height='16' alt=''></a>";
+			echo "\n\t\t<a title='gehÃ¶rt zu' href='alkishaus.php?gkz=".$gkz."&amp;gmlid=".$bgeb.LnkStf()
+			."'>Haus&nbsp;<img src='ico/Haus.png' width='16' height='16' alt=''></a>";
 		}
 		echo "\n\t</td>";
 
 		// Bauwerk Details
-		echo "\n\t<td class='nwlink noprint'>"; // Link
-		echo "\n\t\t<a title='Bauwerksdaten' href='alkisbauwerk.php?gkz=".$gkz."&amp;btyp=".$btyp."&amp;gmlid=".$bgml;
-		if ($showkey) {echo "&amp;showkey=j";}
-		echo "'>Bauwerk&nbsp;<img src='ico/Haus.png' width='16' height='16' alt=''></a>";  // +++ Icon fÃŒr Bauwerk schaffen +++
-		echo "\n\t</td>"
+		echo "\n\t<td class='nwlink noprint'>" // Link
+		."\n\t\t<a title='Bauwerksdaten' href='alkisbauwerk.php?gkz=".$gkz."&amp;btyp=".$btyp."&amp;gmlid=".$bgml.LnkStf()
+		."'>Bauwerk&nbsp;<img src='ico/Haus.png' width='16' height='16' alt=''></a>" // Icon fÃŒr Bauwerk schaffen
+		."\n\t</td>"
 	."\n</tr>";
 }